Subject: bug#16258: 24.3.50; [PATCH] eww: Add new function of region-search.

From: Kenjiro NAKAYAMA <[email-masked]>
Date: Fri, 27 Dec 2013 08:43:11 +0900

> Hm...  so this would just use the default search engine to search for
> whatever is in the region?

Yes, that's right. It is not big function, sorry...

> I'm not sure that that's a useful eww mode
> command, but it might be a useful global command...

Then, how about delete the key map and include the eww-search-region?
I want to know how much eww should provide its utilities like this function.

* delete
 >> +    (define-key map [(meta s)(meta s)] 'eww-search-region)

* remain
 >> +(defun eww-search-region (&optional beg end)
 >> +  (interactive "r")
 >> +  (eww (buffer-substring beg end)))

Kenjiro

[email-masked] writes:

> Kenjiro NAKAYAMA <[email-masked]> writes:
>
>> +    (define-key map [(meta s)(meta s)] 'eww-search-region)
>
> [...]
>
>> +(defun eww-search-region (&optional beg end)
>> +  (interactive "r")
>> +  (eww (buffer-substring beg end)))
>
> Hm...  so this would just use the default search engine to search for
> whatever is in the region?  I'm not sure that that's a useful eww mode
> command, but it might be a useful global command...